summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorNirbheek Chauhan <nirbheek@gentoo.org>2009-06-04 11:06:15 +0530
committerNirbheek Chauhan <nirbheek@gentoo.org>2009-06-04 13:15:37 +0530
commitbe2d2393ca41ed66d4b9e895a25f070d2ded994d (patch)
tree6fe78191ee6ec24c3aa63a6212e3292e2c79dbe9
parentb6afbf7b6bbf677e75661586187ae936a8559148 (diff)
net-libs/libsoup: Sync with tree
-rw-r--r--net-libs/libsoup/Manifest2
-rw-r--r--net-libs/libsoup/libsoup-9999.ebuild45
2 files changed, 32 insertions, 15 deletions
diff --git a/net-libs/libsoup/Manifest b/net-libs/libsoup/Manifest
index ff931d3..3b1f5b9 100644
--- a/net-libs/libsoup/Manifest
+++ b/net-libs/libsoup/Manifest
@@ -1 +1 @@
-EBUILD libsoup-9999.ebuild 688 RMD160 7140b6443b7f1e80c2063236b000b71aa0b43a7e SHA1 0e1734b09333d0f34a8cb732f60da7fe7efdb081 SHA256 57129f2ff681f984bd122a06b74cfca9897f7db05fe51757131c56665d594a35
+EBUILD libsoup-9999.ebuild 1196 RMD160 733e15e09a5fb68c1cbd56cf85cb16cfc210ebd9 SHA1 bd883493ac42b9c5afc684e6b0f97c63323343fb SHA256 433c725f388f1d81e5789f832fce5336b94d28fc6aa41f742bcc971ba34a5ff3
diff --git a/net-libs/libsoup/libsoup-9999.ebuild b/net-libs/libsoup/libsoup-9999.ebuild
index d4cba7a..deaf7f7 100644
--- a/net-libs/libsoup/libsoup-9999.ebuild
+++ b/net-libs/libsoup/libsoup-9999.ebuild
@@ -1,6 +1,8 @@
-# Copyright 1999-2008 Gentoo Foundation
+# Copyright 1999-2009 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: $
+# $Header: /var/cvsroot/gentoo-x86/net-libs/libsoup/libsoup-2.26.2.ebuild,v 1.3 2009/05/21 18:14:56 nirbheek Exp $
+
+EAPI="2"
inherit gnome2 gnome2-live
@@ -9,23 +11,38 @@ HOMEPAGE="http://www.gnome.org/"
LICENSE="LGPL-2"
SLOT="2.4"
-KEYWORDS="~amd64 ~x86"
-IUSE="debug doc ssl"
+KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~ppc ~ppc64 ~sh ~sparc ~x86 ~x86-fbsd"
+# Do NOT build with --disable-debug/--enable-debug=no - gnome2.eclass takes care of that
+IUSE="debug doc gnome ssl"
RDEPEND=">=dev-libs/glib-2.15.3
- >=dev-libs/libxml2-2
- ssl? ( >=net-libs/gnutls-1 )"
+ >=dev-libs/libxml2-2
+ gnome? (
+ net-libs/libproxy
+ >=gnome-base/gconf-2
+ dev-db/sqlite:3 )
+ ssl? ( >=net-libs/gnutls-1 )"
DEPEND="${RDEPEND}
- >=dev-util/pkgconfig-0.9
- doc? ( >=dev-util/gtk-doc-1 )"
+ >=dev-util/pkgconfig-0.9
+ doc? ( >=dev-util/gtk-doc-1 )"
+# test? (
+# www-servers/apache
+# dev-lang/php
+# net-misc/curl )
-DOCS="AUTHORS ChangeLog NEWS README"
+DOCS="AUTHORS NEWS README"
pkg_setup() {
- # Do NOT build with --disable-debug/--enable-debug=no
- if use debug ; then
- G2CONF="${G2CONF} --enable-debug=yes"
- fi
+ G2CONF="${G2CONF}
+ --disable-static
+ $(use_with gnome)
+ $(use_enable ssl)"
+}
+
+src_prepare() {
+ # Fix test to follow POSIX (for x86-fbsd)
+ # No patch to prevent having to eautoreconf
+ sed -e 's/\(test.*\)==/\1=/g' -i configure.in || die "sed failed"
- G2CONF="${G2CONF} $(use_enable ssl)"
+ gnome2-live_src_prepare
}